<template>
  <v-text-field
    class="search-bar"
    v-model="selectedValue"
    prepend-inner-icon="mdi-magnify"
    :label="label"
    single-line
    hide-details
    clearable
  />
</template>
<script lang="ts">
import Vue from 'vue'
import { Component, Prop } from 'vue-property-decorator'

@Component({
  components: {},
})
export default class SearchInput extends Vue {
  @Prop({ required: true }) value
  @Prop({ type: String, default: 'Kërko' }) label

  get selectedValue() {
    return this.value
  }
  set selectedValue(newValue) {
    this.$emit('input', newValue)
  }
}
</script>
